TAAS - Feature #128

Matching/Settlement
02/02/2023 02:32 PM - Anil KV

Status: Reopen Bugs Start date: 02/02/2023
Priority: Normal Due date:

Assignee: Junaid M % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Matching/Settlement

Description

Coding Matching/Settlement

Ref Solution and Assign to Muhasin

History

#1 - 02/02/2023 02:42 PM - Anil KV
- Assignee changed from Muhasin PU to Junaid M

#2 - 02/07/2023 01:07 PM - Junaid M
Ul Changes

1) Search & Grid ui design Like branch expand collapse.

2) Search button move from side bar to Search Div in both settled and new settlement search area
3) Add Group by Dropdown On Search Div. Optionts (Noermal, Dr Cr wise)

4) Doc No widget add ~ symbol.and reduce width.

5) Move BRANCH & DEPARTMENT to near

6) Show Save button when new settled tab is active. Show revoke button when settled tab is active

e party, mainledger, branch should be same for every matching item.
e root document - populate from checked items.

#3 - 02/08/2023 10:53 AM - Junaid M

- File settlement-search-sql-query.sql added

#4 - 02/08/2023 03:00 PM - Junaid M
- File settled-search-query.sql added

#5 - 02/08/2023 03:03 PM - Junaid M
- File deleted (settled-search-query.sql)

#6 - 02/08/2023 03:03 PM - Junaid M
- File settled-search-query.sql added

#7 - 02/09/2023 09:50 AM - Anil KV
- Assignee changed from Junaid M to Muhasin PU

#8 - 02/17/2023 03:28 PM - Muhasin PU
- Status changed from New to Coding Started
- % Done changed from 0 to 40
#9 - 03/01/2023 09:44 AM - Muhasin PU
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#10 - 04/29/2023 04:19 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Calculation mistakes on auto completion
2.Add precission on grid

(Popup)

3.Set Upper case for document number

4 fix bugs on Alert/Message on grid

(prevent overlap to popup)

5.Set proper alignment between code & name
(Branch, Department - Selection box)

#11 - 05/30/2023 06:10 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

FIXED

#12 - 05/30/2023 06:21 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set validations on inline check box

(Branch- Cant select more than one branch at a settlement)

2.Add precision on grid

3.Cant revoke settled documents - Error message

4.Set required validation on date

5.Set validationds on date filters - (change to next date)

6.Set proper validation & alert for prevent update or any change on settled documents
(Receipt, Payment ,journal, Dr/Cr Note)

#13 - 05/31/2023 02:38 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

FIXED . (Date Previous Day Common issue Pending)

#14 - 06/07/2023 06:30 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- Assignee changed from Muhasin PU to Junaid M

- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fixed-Change button order

( Save ,New)

2.Fixed-Error on update

(objlnputDateTime.getFullYear is not a function)

3.FIXED-Inline check box vallidations not working on Branch

4.FIXED-Prevent unchecked documents set as Root doc.

5.FIXED-Remove Delete icon from grid

6.FIXED-ERROR WHILE UPDATING DOCUMENTS ON THERE CREATED MODULES AFTER SETTLEMENT
7.FIXED-LIST AMOUNT CHANGING WHILE CHOOSING EDIT

8.FIXED - CLEAR PARTY CURRENCY CODE AFTER SELECTING NEW

9.Fixed-CHANGE IN PRECISION VALUE SEARCH WITH MATCHED/OUTSTANDING CHECK BOXES
10.Fixed-ADD NO DATA FOUND MESSAGE

11.FIXED-CLEAR CODES FROM AUTO COMPLETION FIELD WHILE CLEARING NAME

12.FIXED-SHOW DATAS WHILE SEARCH WITH CURRENT DATE IN PERIOD

13.SHOW AMOUNTS AFTER THE AR SHARING

14.Fixed-ERROR WHILE NOT ADDING MAIN LEDGER

15.FIXED - NOT SHOWING PARTIAL SETTLED AMOUNT IN SETTLED COLUMN IN SETTLED GRID

16.Fixed-CANT REVOKE SETTTLED DOCUMENTS SHOWING MESSAGE System Internal Matching Items Found, Not Allow GUI Revoke.
17.Fixed-ERROR WHILE SETTLING A RECEIPT DOC ITS DEPOSITED THROUGH CHEQUE DEPOSIT

#15 - 01/19/2024 03:14 PM - unnikannan S

- Tested By changed from Amal Cyriac to unnikannan S

#16 - 04/05/2024 09:56 AM - Junaid M
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#17 - 04/05/2024 02:01 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

TESTING DONE

#18 - 04/05/2024 02:01 PM - unnikannan S
ISSUE FOUNDED

1.FIXED-CLEAR SHOWING PARTY CURRENCY CODE IN SETTLED TAB

#19 - 04/05/2024 04:48 PM - Junaid M
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#20 - 04/08/2024 12:15 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#21 - 09/21/2024 11:25 AM - Junaid M
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#22 - 10/19/2024 12:34 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

II'ISSUE FOUNDED

1.DONE-Missing Precision For Amount In Grid Add Pop Up List
2.DONE-Show Debit,Credit Amount And Settled Amount In Lists (Add Pop Up)
3.DONE-Add Name For Pop Up

4 .DONE-Correct The Alligment Of Grid In Pop Up(Add)

5.DONE-Not Showing Internal Matching Data In Settled Tab

#23 - 11/07/2024 10:19 PM - unnikannan S
- File clipboard-202411072219-rno3q.png added

#24 - 11/30/2024 11:33 AM - Vivekp V
- File clipboard-202411301133-f2sow.png added
Query  Query History

1 SELECT * FROM settlement.tbl_settlement
Z ORDER BY pk_settlement_id ASC

Data Oufput Messages Notifications

S RvOva s &8 ~
7 fk_transaction_dr_id

pk_settlement_id fk_settlement_masterid _dr_i
[PK] bigint bigint bigint

B h =
P
woow r =

New Check Cases

1. delete needs to be Possible From The Root doc Module where the Internal Matching settlement Was Done and can be deleted

s

12
58

bigint

2. amounts needs to be rounded in settlement.tbl_settlement
3. Settlement revoking is not happening based on admin settings.

#25 - 01/11/2025 04:39 PM - Arathy PS
ISSUE FOUND

1. No red star for department depending on the admin settings.

2. DONE-Rejected documents are showing.

#26 - 01/15/2025 06:38 PM - Arathy PS
NEW CHANGES - low priority

transaction_cr_id
i s

34
19

38

double precision

1. In the settled tab, In the bracket of invoices add ticket/voucher number)

2. Give a specific colour for a pair of matched documents.

#27 - 01/20/2025 10:28 AM - Arathy PS
- File clipboard-202501201028-sutue.png added

ISSUE FOUND

1. DONE-When the settlement data is loaded in one tab and then update one of the document in another tab then error message.
dbl_ledg_cur_matched

dbl_base_cur_matched

dbl_cons_cur_matched

dat_transaction_dr

4 double precision double precision 7 date
1000 1000 1000 2024-10-26
0 5000 5000 202)-11-28
$o 499.00000090990004  202§-10-26
I} 100 100 L28-10-26

r

dat_transaction_cr
date

2024-10-28
2024-11-26
2024-11-27
2024-11-26
Settleme

PO0OT: jsnSqlRes: {*sinsqIC 1-1, "strsgiCy de" : "ERROR”, "strsqIC " "Settlement Save Failed”, *strqICustomErTorType" : “DATABASE_SYSTEM_ERROR", "strsglCustomErrorCode : null, “strSqiSyshessage” : “insert or update on table X
\"tbl_settlement\" violates foreign key constraint \"tbl_settlement_fk ionDetail” : *Key (fk_t =(95) is not present in table \"tb|_transaction\"", “strSqlSysExceptionHint" : "SQL statement \"INSERT INTO settlement tbl_settlement
(fk_settlement_master id) 3 dr id.\r 3 |Lledg_cur_matched.\r | base_cur_matched.Ar\n
dbl_cons_cur_matched \rin\r\ g _dr; L 3 : di C _cr_id)\r\n VALUES(CAST(; >'bi  AS BIGINT)\ANY; ¢
>>'bi Drid" AS BIGINT), AST >bin rid' AS BIGINT)\r T >'dblLedgCurMatched" AS DOUBLE PRECISION)\r >'dblBaseCl ' AS DOUBLE
PRECISION) \\Mit\t\\tCAST(jsnSettlement->>'dblConsCurMatched" AS DOUBLE PRECISION)\MMAmt{ i CAST(; >dat fonDr* AS DATE), i >'dat ionCr' AS DATE), i
>>'binDocumentsDrid" AS BIGINT)\ 1 rid" AS BIGINT) ) \rin RETURNING pk_settlement_id\"\nPL/pgSQL function sp_insert_or_update_settlement_detailsfjsonb) line 9 at SQL statement\nSQL statement \"CALL
sp_insert_or_update_settlement_details(jsnSettlement jsnSpOutRes)\"\nPL/pgsalL function sp_insert_or_update _settlement_base(jsenb,jsonb(l) line 36 at CALL\NSQL statement \"CALL sp_insert_or_update_settlement_base(j ar Details,
jsnSpOutRes)\"\nPL/pgSQL function sp_insert_or_update_settlement(jsonb,jsonb]) line 11 at CALL®, "binSqlPk* : 0, *binSqlLogPk" : 0, “strSglDocNo” : null, "dctSqlOtherData" : nully
New Settlement = Settled
Party” | cusoo2 QAR ~ Branch”  pROOT: Main ~ Doc No~
Main Ledger v Department | pPOQ1: Account v File No -
period Sub Customer + 2 Reset
ann
Root Doc® | |NV/003 ~ Dr v Root Doc Amount 3355.000 Root Doc Matched 500.00 Root Doc Outstanding 2855.00
Date” | 20/01/2025 ] Total Debit 500.00 Total Credit 500.00 Difference 0.00
X 5 -
Outstanding Document List  C"™YPIg | Document Wise + Add v % Y @ = [F
- Doc No Date 1 Debit Credit Settled New Settled Qutstanding LPO No Pax Name Narration
- Doc No : INV/003
v HV/001 17/01/2025 1110.00 0.00 0.00 250.00 860.00 P
1006 17/01/2025 1220.00 0.00 1000.00 0.00 220.00 P |
v 05/001 17/01/2025 1025.00 000 200.00 250,00 575.00 s @
~  Doc No : RV/007
v RV/007 20/01/2025 0.00 500.00 0.00 500.00 0.00 Cash Receipt, RefNo.. & W

#28 - 01/27/2025 05:18 PM - Arathy PS
- File clipboard-202501271246-syfgc.png added
- File clipboard-202501271248-nzgwk.png added

ISSUE FOUND

Settlemen
PODO1: jsnSqlRes: {“sinSgICH < -1, "strsglC “ode” : "ERROR", “strSgICy : “Settlement Save Failed", “strSqlCustomErrorType” : “DATABASE_SYSTEM_ERROR", “strSqICy ode” : null, : “insert or update on table
\"tbl_settlementy" violates foreign key constraint \"tbl_settlement_fk_transaction_cr_id_fkey\™, "s i il™ : "Key (fk_| lion_cr_id)={85) is not present in table \"tbl_transaction\".", “strSqlSysExceptionHint” : "SQL statement \"INSERT INTO settiement.tb_settlement
[fk_settlement_master_id \r\n\An\t(\fiHk_transaction_dr id \An\h\t K _transaction_cr_id)\ |_ledg_cur_matched \r | base_cur_matched\rin
dbl_cons._cur_matched \rin\An\tittititdat_transaction_dr\rn\it\titidat_transaction_cririniAnittitititfc_documents_dr_idAnnttiititfk_ documents_cr_idirin VALUES(CA >> Id" AS BIGINTIAAN\VANAHCAST sr
»51 Drid" AS BIGINTI\r AST(jsnSettlement->> binTransactionCrid” S BIGINTIAN\AMVAIALCAST (snSettlement->> ‘dbiLedgCurMatched” AS DOUBLE PRECISIONL\AMVVACAST(snSettlement-> > ‘dblBaseCurMatched” AS DOUBLE
PRECISION) \W\m\I BN ICAST (jsnSettlement-» > ‘dblConsCurMatched' AS DOUBLE PRECISION)\r\nys INCAST(jsnSettl > ionDr* AS DATE), > " AS DATE)\A\N! i
»>'binDocumentsDrid' AS BIGINT)\A\n\RAHCAST(snSettlement-> > binDocumentsCrid” AS BIGINT) ) r\n RETURNING pk_settlement_id\"\nPL/pgSCL function sp_insert_or_update_settlement_details(sonb) line 9 at SQL statement\nSQL statement \"CALL
sp._insert_or_updte_settlement_details(snSettlement jsnSpOutResh\nPL/pgSQL function sp_insert_or_update settlement_basefjsonb,jsonbll) line 36 at CALL\nSQL statement \"CALL sp_insert_or_update_settlement_base{jsnSettlementMaster, arjSettiementDetails,
jsnSpOutRes)\"\nPL/pgSQL function sp_insert_or_update_settlement(jsonb jsonb()) line 11 at CALL", “binsglPk® inSalLogPk® : 0, “strsgiDocNo” : null, "dctsqiCtherData” : null}
New Settlement ~ Settled
Party” | cusoo2 QAR & Branch™  BROO1: Main i DocNo-
Main Ledger v Department DPOO1: Account v File No =
Period Sub Customer - o Reset
ana
Root DO |NV/003 v Dr v Root Doc Amount 3355.000 Root Doc Matched 500.00 Root Doc Outstanding 2855.00
Date®  20/01/2025 ] Total Debit 500.00 Total Credit 500.00 Difference 0.00
e Document List  G™UBING | Document Wise + add v %X T Q 8 m
- Doc No Date I Debit Credit Settled New Settled Outstanding LPO No Pax Name Narration
* DocNo:INV/003
v HV/001 17/01/2025 1110.00 000 000 250,00 860.00 |
1006 17/01/2025 1220.00 0.00 1000.00 0.00 220.00 Pl |
v 05/001 17/01/2025 1025.00 000 20000 250.00 575.00 ]
~ DocNo:RV/007
v RV/00T 20/01/2025 000 500.00 000 500.00 0.00 Cash Receipt, RefNo..  #° W

2. DONE-When we try to do settlement for a document (for a sale) using any two different documents (two different receipts) in two tabs.
Settlement

POOOT: jsnSqlRes: {"sinSqlC " -1, "strSqlC ode”: "ERROR”, “strSqlC: fe Failed”, "strSqlC Type" : "DATABASE SYSTEM_ERROR”, "strSq|CustomErrorCode” s null, * : "new row for relation \'tbl_transaction\" violates check constraint
\'tbl_transaction_check3\", *strSq|SysExceptionDetail” : *Failing row contains (27, 1, SALE, ,, SALE_EACH_ITEM_CUSTOMER DEBIT_POSTING, 1,1, 1, 4, 4, 5,0, 2025-01-27, 2025-01-27, 27, 59, 59, 59, 59, null, null, QAR, 1, 525, 0, 525, 525, -500, QAR 525, 0, 525, 525, -499.99999999999904_ USD, 6, 3150, 0, 3150, 3150,
-2009.0900090999995, ,,, (\'datTo\": \"30/01/2025\", \"datDue\" null, \"datLpo\": null, \"datFrom.., null, null, null null, nul, null, null, null, 1, null, 0, 6, 0, 0, 3,0, 0,0, 1, 1, 1).", “strSqiSysExceptionHint" : "SQL statement \"UPDATE transaction.thl_transaction SETmMANttit\tdat_settlement_done =
dtmCurrent \\MYEE\\\E\tdb ledg_eur outstanding = dbl ledg_cur_outstanding - CAST(jsnSettlement-> > dblLedgCurhatched' AS DOUBLE PRECISION) \r\n\t\t\t\t\f\tdlbl base cur_outstanding = dbl_base_cur_outstanding - CAST(jsnSettlement->>'dblBaseCurMatched” AS DOUBLE
PRECISION) \Am\®\e\f\t\t\tdbl_cons_cur outstanding = dbl_cons_cur outstanding - CAST(jsnSettlement-> > 'dbiConsCurMatched' AS DOUBLE PRECISION)\An WHERE pk transaction,id IN (CAST(snSettiement->> binTransactionDrld" AS BIGINT), CAST(jsnSettlement->> binTransactionCrid’ AS BIGINT)\"\nPL/pgSQL
function sp_insert_or_update settlement_detail line 40 at SQL QL statement \"CALL sp_insert_or_update_settlement_details jsnSettlement snSpOutRes\"\nPL/pgSQL function sp_insert_or_update_settlement base(jsonb jsonbl) line 36 at CALL\nSGL statement \"CALL
sp_insert_or_update_settlement base{jsnSettlementMaster, arjSettlementDetails, jsnSpOutRes)\"\nPL/pgSQL function sp_insert_or_update settiement(jsonb jsonb(l) line 11 at CALL", "binSqIPk’ : 0, "binSqlLogPk” : 0, *strSqiDocNo’ : null, "dctSqlOtherData" : nully
New Settlement  Settled
Party* | CUS002 ASLAM ARIF AHAMED QAR v Branch® | BROOT: Main ~ Doc No~
Main Ledger v Department | DPPO1: Account ~ File No ~
Period Sub Customar = © Reset Q
Ana
ReatDoc™ | INW/002 v Dr v Root Doc Amount 760.000 Root Doc Matched 760.00 Root Doc Outstanding 0.00
Date” | 27,01/2025 ] Total Debit 760.00 Total Credit 760.00 Difference 0.00
ent List  Grouping  Document Wise + Add voox T Q 2 O
= Doc No Date T Debit Credit Settled New Settled Outstanding LPO No Pax Name Narration
~  DocNo:INV/002
v 1004 27/01/2025 525.00 000 000 525.00 0.00 |
v HV/001 27/01/2025 235.00 000 000 23500 0.00 P
~  DocNo:RV/001
RV/001 27/0172025 000 700.00 000 000 700.00 Cash Reczipt RefNai P &7
~  DocNo:RV/002
v RV/002 27/01/2025 0.00 800.00 000 760.00 40.00 Cheque Receipt, Cheque..  #° i

3. DONE-Above mentioned error occurs even if the receipt is same but done in two different tabs.

#29 - 03/07/2025 12:58 PM - Arathy PS
ISSUE FOUND

1. DONE-Matching can be done using document with inactive status. (received cheque deposit(inactive) and receipt)
2. DONE-Can't search a document (using doc no;) in grid using the search filter in the grid

#30 - 04/08/2025 10:55 AM - Arathy PS
- File clipboard-202504081055-IxIgi.png added

ISSUE FOUND

ravvise Settlement

insert or update on table *tbl settlement” violates foreign key constraint “tbl_settlement fk transaction_cr_id_fkey"
New Settlement = Settled
Party | CUS001 ASLAM AB QAR v Branch®  BROOT= Main v Doc No~
Main Ledger v Department | DPOO1: Account v File No ~
Period Sub Customer ~
Ann
RootDoc™ ' INV/004 v Dr v Root Doc Amount 1115.000 Root Doc Matched 1000.00 Root Doc Outstanding 115.00
Date™  08/04/2025 m Total Debit 1000.00 Total Credit 1000.00 Difference 0.00
Grouping  Document Wise + Add v oox Y Q 2 i@
L] Doc No Date 1 Debit Credit Settled New Settled Outstanding LPO No Pax Name Narration
~  Doc No: INV/001
1000 07/04/2025 1100.00 000 000 0.00 1100.00 nasim a1
~  Doc No: INV/004
v 1400 08/04/2025 1115.00 000 000 1000.00 115.00 adil a1
~ Doc No:RV/001
e RV/001 08/04/2025 0.00 1000.00 000 1000.00 0.00 Cash Receipt, Ref No: , P... ran |
»  Doc No : RV/002
RV/002 08/04/2025 0.00 115.00 000 0.00 115.00 Cheque Receipt, Cheque... a1

Files

settlement-search-sql-query.sql 3.54 KB 02/08/2023 Junaid M
settled-search-query.sql 4.24 KB 02/08/2023 Junaid M
clipboard-202411072219-rno3q.png 196 KB 11/07/2024 unnikannan S
clipboard-202411301133-f2sow.png 59.7 KB 11/30/2024 Vivekp V
clipboard-202501201028-sutue.png 202 KB 01/20/2025 Arathy PS
clipboard-202501271246-syfgc.png 305 KB 01/27/2025 Arathy PS
clipboard-202501271248-nzgwk.png 185 KB 01/27/2025 Arathy PS
clipboard-202504081055-IxIgi.png 130 KB 04/08/2025 Arathy PS
